Skip to main content
GET
/
brands
/
{brandSlug}
Get Brand
curl --request GET \
  --url https://app.autoposting.ai/api-proxy/brands/{brandSlug} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "brand_01HXYZ",
    "name": "Acme Corp",
    "slug": "acme-corp",
    "description": "Official Acme brand",
    "logoUrl": null,
    "order": 0,
    "connectedPlatforms": [
      "x",
      "linkedin"
    ],
    "createdAt": "2024-01-01T00:00:00Z",
    "updatedAt": "2024-01-01T00:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

brandSlug
string
required

The brand's slug identifier.

Example:

"acme-corp"

Response

The requested brand.

success
boolean
required
Example:

true

data
object
required

A brand maps to a set of social media accounts.